%--------------------------------------------------------------------------
% File     : BOO035-1 : TPTP v3.0.1. Released v2.2.0.
% Domain   : Boolean Algebra (Ternary)
% Problem  : Ternary Boolean Algebra Single axiom is complete
% Version  : [MP96] (equality) axioms.
% English  : We show that that the standard axioms for TAB can be derived
%            from an equation that turns out to be a single axiom for TBA.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : TBA-1-b [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0, 0.25 v2.6.0, 0.00 v2.4.0, 0.25 v2.3.0, 0.33 v2.2.1
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    6 (   6 equality)
%            Maximal clause size   :    5 (   3 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   5 constant; 0-3 arity)
%            Number of variables   :    7 (   0 singleton)
%            Maximal term depth    :    5 (   2 average)

% Comments :
%--------------------------------------------------------------------------
%----Single axiom for TBA:
cnf(single_axiom,axiom,
    ( multiply(multiply(X,inverse(X),Y),inverse(multiply(multiply(Z,U,V),W,multiply(Z,U,V6))),multiply(U,multiply(V6,W,V),Z)) = Y )).

%----Denial of the standard basis for TBA:
cnf(prove_tba_axioms,negated_conjecture,
    ( multiply(multiply(d,e,a),b,multiply(d,e,c)) != multiply(d,e,multiply(a,b,c))
    | multiply(b,a,a) != a
    | multiply(a,b,inverse(b)) != a
    | multiply(a,a,b) != a
    | multiply(inverse(b),b,a) != a )).

%--------------------------------------------------------------------------
