%--------------------------------------------------------------------------
% File     : CAT001-2 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : XY monomorphism => Y monomorphism
% Version  : [Qua89] (equality) axioms.
% English  : If xy is a monomorphism, then y is a monomorphism.

% Refs     : [Qua89] Quaife (1989), Email to L. Wos
% Source   : [ANL]
% Names    : p1.ver2.in [ANL]

% Status   : Satisfiable
% Rating   : 0.33 v2.7.0, 0.00 v2.6.0, 0.43 v2.5.0, 0.50 v2.4.0, 0.33 v2.2.1, 0.50 v2.2.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   9 unit;   9 RR)
%            Number of atoms       :   21 (  21 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    7 (   4 constant; 0-2 arity)
%            Number of variables   :   14 (   0 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Quaife's axioms for category theory 
include('Axioms/CAT002-0.ax').
%--------------------------------------------------------------------------
cnf(c1,hypothesis,
    ( codomain(X) != domain(compose(a,b))
    | compose(X,compose(a,b)) != Y
    | codomain(Z) != domain(compose(a,b))
    | compose(Z,compose(a,b)) != Y
    | X = Z )).

cnf(codomain_of_a_equals_domain_of_b,hypothesis,
    ( codomain(a) = domain(b) )).

cnf(codomain_of_a_equals_domain_of_h,hypothesis,
    ( codomain(a) = domain(h) )).

cnf(codomain_of_a_equals_domain_of_g,hypothesis,
    ( codomain(a) = domain(g) )).

cnf(ah_equals_ag,hypothesis,
    ( compose(a,h) = compose(a,g) )).

cnf(prove_h_equals_g,negated_conjecture,
    (  h != g )).

%--------------------------------------------------------------------------
