%--------------------------------------------------------------------------
% File     : CAT019-3 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Category Theory
% Problem  : Axiom of Indiscernibles
% Version  : [Sco79] axioms : Reduced > Complete.
% English  : [all z (x=z <-> y=z)] -> x=y.

% Refs     : [Sco79] Scott (1979), Identity and Existence in Intuitionist L
% Source   : [ANL]
% Names    : p15.ver3.no2.in [ANL]
%          : p15.ver3.no4.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.5.0, 0.08 v2.4.0, 0.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :   20 (   2 non-Horn;   4 unit;  15 RR)
%            Number of atoms       :   44 (  20 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-2 arity)
%            Number of functors    :    6 (   2 constant; 0-2 arity)
%            Number of variables   :   33 (   4 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The ANL set uses very few axioms for this. I'm not sure 
%            if using them all is OK.
%          : Axioms simplified by Art Quaife.
%--------------------------------------------------------------------------
%----Include Scott's axioms for category theory 
include('Axioms/CAT003-0.ax').
%--------------------------------------------------------------------------
%----Denial of the axiom of indiscernibles 
cnf(equality_of_a_and_b1,hypothesis,
    ( ~ there_exists(Z)
    | a != Z
    | b = Z )).

cnf(equality_of_a_and_b2,hypothesis,
    ( ~ there_exists(Z)
    | a = Z
    | b != Z )).

cnf(prove_a_equals_b,negated_conjecture,
    (  a != b )).

%--------------------------------------------------------------------------
