%--------------------------------------------------------------------------
% File     : COL055-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Combinatory Logic
% Problem  : Happy Birds
% Version  : Especial.
% English  : There exists a bird which is fond of some other bird. Prove 
%            that any bird that is fond of at least one bird must 
%            be happy.

% Refs     : [Smu85] Smullyan (1978), To Mock a Mocking Bird and Other Logi
% Source   : [ANL]
% Names    : bird7.ver1.in [ANL]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   2 RR)
%            Number of atoms       :    3 (   3 equality)
%            Maximal clause size   :    2 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    3 (   2 constant; 0-2 arity)
%            Number of variables   :    2 (   0 singleton)
%            Maximal term depth    :    2 (   2 average)

% Comments : 
%--------------------------------------------------------------------------
%----First part of denial clause: there exists a bird which is fond 
%----of some other bird.
cnf(fond_bird_exists,hypothesis,
    ( response(a,b) = b )).

%----Hypothesis: Any bird that is fond of at least one bird must be happy.
%----  - FAx [If TEy (xy = y) then TEz TEw (xz = w) and (xw = z)].
%----  TEx -[- TEy (xy = y) | TEz TEw ((xz = w) and (xw = z))].
%----  TEx [ TEy (xy = y) and - TEz TEw ((xz = w) and (xw = z)) ].
%----  TEx [ TEy (xy = y) and FAz FAw -((xz = w) and (xw = z)) ].
%----  TEy (Ay = y) and FAz FAw -[(Az = w) and (Aw = z)].
%----  (AB = B) and [-(Az = w) | -(Aw = z)].
%----  Placing (AB = B) in the list of axiom, we have: 
cnf(prove_happiness,negated_conjecture,
    ( response(a,Z) != W
    | response(a,W) != Z )).

%--------------------------------------------------------------------------
