%--------------------------------------------------------------------------
% File     : GEO050-2 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Geometry
% Problem  : First outer connectivity property of betweenness
% Version  : [Qua89] axioms.
% English  : 

% Refs     : [Tar59] Tarski (1959), What is Elementary Geometry?
%          : [SST83] Schwabbauser et al. (1983), Metamathematische Methoden
%          : [Qua89] Quaife (1989), Automated Development of Tarski's Geome
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :   23 (   5 non-Horn;  11 unit;  20 RR)
%            Number of atoms       :   61 (   8 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :    3 (   0 propositional; 2-4 arity)
%            Number of functors    :   12 (   7 constant; 0-6 arity)
%            Number of variables   :   71 (   3 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This is Axiom 3 in [Tarski, 1959]
%--------------------------------------------------------------------------
%----Include Tarski geometry axioms 
include('Axioms/GEO002-0.ax').
%--------------------------------------------------------------------------
cnf(v_between_u_and_w,hypothesis,
    ( between(u,v,w) )).

cnf(v_between_u_and_x,hypothesis,
    ( between(u,v,x) )).

cnf(u_not_v,hypothesis,
    (  u != v )).

cnf(w_not_between_u_and_x,hypothesis,
    ( ~ between(u,w,x) )).

cnf(prove_x_between_u_and_w,negated_conjecture,
    ( ~ between(u,x,w) )).

%--------------------------------------------------------------------------
