%--------------------------------------------------------------------------
% File     : GEO149-1 : TPTP v3.0.1. Released v2.4.0.
% Domain   : Geometry (Oriented curves)
% Problem  : Condition for meeting at two points
% Version  : [EHK99] axioms.
% English  : Objects can meet at two points only if they are ordered in the 
%            same way on both trajectories

% Refs     : [KE99]  Kulik & Eschenbach (1999), A Geometry of Oriented Curv
%          : [EHK99] Eschenbach et al. (1999), Representing Simple Trajecto
% Source   : [TPTP]
% Names    : 

% Status   : Unknown
% Rating   : 1.00 v2.4.0
% Syntax   : Number of clauses     :  114 (  42 non-Horn;   8 unit; 102 RR)
%            Number of atoms       :  332 (  41 equality)
%            Maximal clause size   :   12 (   3 average)
%            Number of predicates  :   16 (   0 propositional; 1-4 arity)
%            Number of functors    :   35 (   4 constant; 0-5 arity)
%            Number of variables   :  310 (  19 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : Created by tptp2X -f tptp -t clausify:otter GEO149+1.p 
%--------------------------------------------------------------------------
%----Include simple curve axioms
include('Axioms/GEO004-0.ax').
%----Include axioms of betweenness for simple curves
include('Axioms/GEO004-1.ax').
%----Include oriented curve axioms
include('Axioms/GEO004-2.ax').
%----Include trajectory axioms
include('Axioms/GEO004-3.ax').
%--------------------------------------------------------------------------
cnf(t15_156,negated_conjecture,
    ( connect(sk29,sk30,sk27) )).

cnf(t15_157,negated_conjecture,
    ( connect(sk29,sk30,sk28) )).

cnf(t15_158,negated_conjecture,
    ( ordered_by(trajectory_of(sk29),sk27,sk28) )).

cnf(t15_159,negated_conjecture,
    ( ~ ordered_by(trajectory_of(sk30),sk27,sk28) )).

%--------------------------------------------------------------------------
