%--------------------------------------------------------------------------
% File     : GRP001-3 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : X^2 = identity => commutativity
% Version  : [BL+86] axioms.
% English  : If the square of every element is the identity, the system 
%            is commutative.

% Refs     : [BL+86] Boyer et al. (1986), Set Theory in First-Order Logic: 
% Source   : [BL+86]
% Names    : Problem 228-231 [BL+86]

% Status   : Unknown
% Rating   : 1.00 v2.0.0
% Syntax   : Number of clauses     :  169 (  27 non-Horn;  14 unit; 139 RR)
%            Number of atoms       :  426 (  60 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   90 (   9 propositional; 0-5 arity)
%            Number of functors    :    0 (   0 constant; --- arity)
%            Number of variables   :  395 (  32 singleton)
%            Maximal term depth    :    4 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include Godel's set axioms 
include('Axioms/SET003-0.ax').
%----Include the axioms for algebra from Godel's set axioms 
include('Axioms/ALG001-0.ax').
%--------------------------------------------------------------------------
cnf(a_group,hypothesis,
    ( group(f71,f72) )).

cnf(f73_is_the_identity,hypothesis,
    ( identity(f71,f72,f73) )).

cnf(x_squared_is_identity,hypothesis,
    ( ~ member(X,f71)
    | apply_to_two_arguments(f72,X,X) = f73 )).

cnf(prove_the_group_is_commutative,negated_conjecture,
    ( ~ commutes(f71,f72) )).

%--------------------------------------------------------------------------
