%--------------------------------------------------------------------------
% File     : GRP013-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Commutator equals identity in these conditions
% Version  : [MOW76] axioms.
% English  : If X.X=identity and if X^-1.Y^-1 = Z then X.Z = Y, then 
%            (X.Y).(X^-1.Y^-1) = identity.

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [MOW76] McCharen et al. (1976), Problems and Experiments for a
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 11 [Wos65]
%          : wos11 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   13 (   0 non-Horn;   9 unit;   7 RR)
%            Number of atoms       :   22 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    2 (   0 propositional; 2-3 arity)
%            Number of functors    :    7 (   5 constant; 0-2 arity)
%            Number of variables   :   26 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%--------------------------------------------------------------------------
cnf(squareness,hypothesis,
    ( product(A,A,identity) )).

cnf(a_times_b_is_c,hypothesis,
    ( product(a,b,c) )).

cnf(inverse_a_times_inverse_b_is_d,hypothesis,
    ( product(inverse(a),inverse(b),d) )).

cnf(inverses_have_property,hypothesis,
    ( ~ product(inverse(A),inverse(B),C)
    | product(A,C,B) )).

cnf(prove_c_times_d_is_identity,negated_conjecture,
    ( ~ product(c,d,identity) )).

%--------------------------------------------------------------------------
