%--------------------------------------------------------------------------
% File     : GRP038-3 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory (Subgroups)
% Problem  : In subgroups, if a and b are members, then a.b^-1 is a member
% Version  : [Wos65] axioms : Augmented.
% English  : 

% Refs     : [Wos65] Wos (1965), Unpublished Note
%          : [WM76]  Wilson & Minker (1976), Resolution, Refinements, and S
% Source   : [SPRFN]
% Names    : Problem 18 [Wos65]
%          : wos18 [WM76]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.0.0
% Syntax   : Number of clauses     :   15 (   0 non-Horn;  10 unit;  10 RR)
%            Number of atoms       :   27 (   1 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    3 (   0 propositional; 1-3 arity)
%            Number of functors    :    6 (   4 constant; 0-2 arity)
%            Number of variables   :   26 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : This is trivial - its an axiom.
%          : Two extra lemmas are supplied.
%--------------------------------------------------------------------------
%----Include group theory axioms 
include('Axioms/GRP003-0.ax').
%----Include sub-group theory axioms 
include('Axioms/GRP003-2.ax').
%--------------------------------------------------------------------------
%----The next two clauses are dependent lemmas 
cnf(closure_of_inverse,axiom,
    ( ~ subgroup_member(A)
    | subgroup_member(inverse(A)) )).

cnf(identity_is_in_subgroup,axiom,
    ( subgroup_member(identity) )).

cnf(a_is_in_subgroup,hypothesis,
    ( subgroup_member(a) )).

cnf(b_is_in_subgroup,hypothesis,
    ( subgroup_member(b) )).

cnf(a_times_inverse_b_is_c,hypothesis,
    ( product(a,inverse(b),c) )).

cnf(prove_c_is_in_subgroup,negated_conjecture,
    ( ~ subgroup_member(c) )).

%--------------------------------------------------------------------------
