%--------------------------------------------------------------------------
% File     : GRP051-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in product & inverse
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for group theory, in terms of product 
%            and inverse.

% Refs     : [Kun92] Kunen (1992), Single Axioms for Groups
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [Kun92]
% Names    : C3 [Kun92]
%          : Axiom 2.1 [McC93]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0, 0.25 v2.6.0, 0.17 v2.5.0, 0.25 v2.4.0, 0.25 v2.3.0, 0.50 v2.2.1, 0.67 v2.2.0, 0.75 v2.1.0, 0.67 v2.0.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    4 (   4 equality)
%            Maximal clause size   :    3 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    9 (   7 constant; 0-2 arity)
%            Number of variables   :    3 (   0 singleton)
%            Maximal term depth    :    7 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( multiply(multiply(inverse(multiply(Z,inverse(multiply(X,Y)))),multiply(Z,inverse(Y))),inverse(multiply(inverse(Y),Y))) = X )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != multiply(inverse(b1),b1)
    | multiply(multiply(inverse(b2),b2),a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3)) )).

%--------------------------------------------------------------------------
