%--------------------------------------------------------------------------
% File     : GRP112-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Group Theory
% Problem  : Single axiom for group theory, in product & inverse
% Version  : [McC93] (equality) axioms.
% English  : This is a single axiom for groups in which the square 
%            of every element is the identity, in terms of product and 
%            inverse.

% Refs     : [MP68]  Meredith & Prior (1968), Equational Logic
%          : [LW92]  Lusk & Wos (1992), Benchmark Problems in Which Equalit
%          : [McC93] McCune (1993), Single Axioms for Groups and Abelian Gr
% Source   : [McC93]
% Names    : GT2 [LW92]

% Status   : Satisfiable
% Rating   : 0.67 v2.7.0, 0.33 v2.6.0, 0.86 v2.5.0, 0.67 v2.4.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :    2 (   0 non-Horn;   1 unit;   1 RR)
%            Number of atoms       :    5 (   5 equality)
%            Maximal clause size   :    4 (   2 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :   11 (   9 constant; 0-2 arity)
%            Number of variables   :    3 (   0 singleton)
%            Maximal term depth    :    4 (   3 average)

% Comments : The group axioms that are proved are different from those 
%            given in [LW92]. Rather those suggested in [McC93] are used.
%--------------------------------------------------------------------------
cnf(single_axiom,axiom,
    ( multiply(multiply(multiply(X,Y),Z),multiply(X,Z)) = Y )).

cnf(prove_these_axioms,negated_conjecture,
    ( multiply(inverse(a1),a1) != multiply(inverse(b1),b1)
    | multiply(multiply(inverse(b2),b2),a2) != a2
    | multiply(multiply(a3,b3),c3) != multiply(a3,multiply(b3,c3))
    | multiply(a4,a4) != multiply(b4,b4) )).

%--------------------------------------------------------------------------
