%--------------------------------------------------------------------------
% File     : LAT001-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Lattice Theory
% Problem  : If X' = U v V and Y' = U ^ V, then U' = X v (Y ^ V)
% Version  : [McC88] (equality) axioms.
% English  : The theorem states that there is a complement of "a" in a
%            modular lattice with 0 and 1.

% Refs     : [Bum65] Bumcroft (1965), Proceedings of the Glasgow Mathematic
%          : [GO+69] Guard et al. (1969), Semi-Automated Mathematics
%          : [McC88] McCune (1988), Challenge Equality Problems in Lattice 
% Source   : [McC88]
% Names    : L1a [McC88]

% Status   : Unsatisfiable
% Rating   : 0.78 v2.7.0, 0.83 v2.6.0, 0.86 v2.5.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   19 (   0 non-Horn;  15 unit;   6 RR)
%            Number of atoms       :   24 (  18 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   6 constant; 0-2 arity)
%            Number of variables   :   29 (   4 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : No further information is available from [McC88] or [GO+69]
%            about [Bum65].
%--------------------------------------------------------------------------
%----Include lattice axioms 
include('Axioms/LAT001-0.ax').
%----Include modular lattice axioms 
include('Axioms/LAT001-1.ax').
%----Include definition of complement 
include('Axioms/LAT001-2.ax').
%--------------------------------------------------------------------------
cnf(complement_of_a_join_b,hypothesis,
    ( complement(r1,join(a,b)) )).

cnf(complement_of_a_meet_b,hypothesis,
    ( complement(r2,meet(a,b)) )).

cnf(prove_complememt,negated_conjecture,
    ( ~ complement(a,join(r1,meet(r2,b))) )).

%--------------------------------------------------------------------------
