%--------------------------------------------------------------------------
% File     : LAT011-1 : TPTP v3.0.1. Released v2.2.0.
% Domain   : Lattice Theory
% Problem  : Uniqueness of meet (dually join) in lattice theory
% Version  : [MP96] (equality) axioms : Especial.
% English  : Let's say we have a lattice with two meet operations, say
%            meet1 and meet2.  In other words, {join,meet1} is a lattice,
%            and {join,meet2} is a lattice.  Then, we can prove that the
%            two meet operations are really the same.

% Refs     : [McC98] McCune (1998), Email to G. Sutcliffe
%          : [MP96]  McCune & Padmanabhan (1996), Automated Deduction in Eq
% Source   : [McC98]
% Names    : LT-8 [MP96]

% Status   : Unsatisfiable
% Rating   : 0.00 v2.7.0, 0.09 v2.6.0, 0.00 v2.2.1
% Syntax   : Number of clauses     :   14 (   0 non-Horn;  14 unit;   1 RR)
%            Number of atoms       :   14 (  14 equality)
%            Maximal clause size   :    1 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    5 (   2 constant; 0-2 arity)
%            Number of variables   :   26 (   4 singleton)
%            Maximal term depth    :    3 (   2 average)

% Comments : For quasilattice, meet (dually join) is not necessarily unique.
%--------------------------------------------------------------------------
%----Include lattice axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
%----{join,meet2} is a lattice:
cnf(idempotence_of_meet2,axiom,
    ( meet2(X,X) = X )).

cnf(commutativity_of_meet2,axiom,
    ( meet2(X,Y) = meet2(Y,X) )).

cnf(absorption1_2,axiom,
    ( meet2(X,join(X,Y)) = X )).

cnf(absorption2_2,axiom,
    ( join(X,meet2(X,Y)) = X )).

cnf(associativity_of_meet2,axiom,
    ( meet2(meet2(X,Y),Z) = meet2(X,meet2(Y,Z)) )).

%----Denial that meet1 and meet2 are the same:
cnf(prove_meets_are_same,negated_conjecture,
    (  meet(a,b) != meet2(a,b) )).

%--------------------------------------------------------------------------
