%--------------------------------------------------------------------------
% File     : LAT036-1 : TPTP v3.0.1. Released v2.4.0.
% Domain   : Lattice Theory
% Problem  : Property of a distributive lattive with an antimorphism
% Version  : [McC88] (equality) axioms.
% English  : In every distributive lattice with 0,1 and an antimorphism k:
%            if   k^2(a) \leq a v k(a)              and  
%                 k^3(b) \leq a v k(a)              and
%                 k^2(a) \leq k(a) v k(b) v k(c)    and
%                 k^3(b) \leq k(a) v k(b) v k(c)
%            then k^2(a v k(b)) \leq (a & k(b & c)) v k(a)

% Refs     : [DeN00] DeNivelle (2000), Email to G. Sutcliffe
%            [BV94]  Blyth & Varlet I.C. (1994), Ockham Algebras
%            [McC88] McCune (1988), Challenge Equality Problems in Lattice
% Source   : [DeN00]
% Names    : lattice-antimorphism [DeN00]
%            Example 5.1 [BV94]

% Status   : Unsatisfiable
% Rating   : 0.80 v2.7.0, 0.75 v2.6.0, 0.83 v2.5.0, 1.00 v2.4.0
% Syntax   : Number of clauses     :   24 (   0 non-Horn;  23 unit;   7 RR)
%            Number of atoms       :   25 (  25 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 2-2 arity)
%            Number of functors    :    8 (   5 constant; 0-2 arity)
%            Number of variables   :   33 (   4 singleton)
%            Maximal term depth    :    6 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include lattice theory axioms
include('Axioms/LAT001-0.ax').
%--------------------------------------------------------------------------
cnf(dist_join,hypothesis,
    ( join(X,meet(Y,Z)) = meet(join(X,Y),join(X,Z)) )).

cnf(dist_meet,hypothesis,
    ( meet(X,join(Y,Z)) = join(meet(X,Y),meet(X,Z)) )).

cnf(x_meet_0,axiom,
    ( meet(X,n0) = n0 )).

cnf(x_join_0,axiom,
    ( join(X,n0) = X )).

cnf(x_meet_1,axiom,
    ( meet(X,n1) = X )).

cnf(x_join_1,axiom,
    ( join(X,n1) = n1 )).

cnf(modular,axiom,
    ( meet(X,Z) != X
    | meet(Z,join(X,Y)) = join(X,meet(Y,Z)) )).

cnf(k_on_join,axiom,
    ( k(join(U,V)) = meet(k(U),k(V)) )).

cnf(k_on_meet,axiom,
    ( k(meet(U,V)) = join(k(U),k(V)) )).

cnf(k_on_bottom,axiom,
    ( k(n0) = n1 )).

cnf(k_on_top,axiom,
    ( k(n1) = n0 )).

cnf(lhs1,hypothesis,
    ( join(k(k(aa)),join(aa,k(aa))) = join(aa,k(aa)) )).

cnf(lhs2,hypothesis,
    ( join(k(k(k(bb))),join(aa,k(aa))) = join(aa,k(aa)) )).

cnf(lhs3,hypothesis,
    ( join(k(k(aa)),join(k(aa),join(k(bb),k(cc)))) = join(k(aa),join(k(bb),k(cc))) )).

cnf(lhs4,hypothesis,
    ( join(k(k(k(bb))),join(k(aa),join(k(bb),k(cc)))) = join(k(aa),join(k(bb),k(cc))) )).

cnf(rhs,negated_conjecture,
    (  join(k(k(join(aa,k(bb)))),join(meet(aa,k(meet(bb,cc))),k(aa))) != join(meet(aa,k(meet(bb,cc))),k(aa)) )).

%--------------------------------------------------------------------------
