%--------------------------------------------------------------------------
% File     : LCL116-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Logic Calculi (Many valued sentential)
% Problem  : MV-50 depnds on the Merideth system
% Version  : [McC92] axioms.
% English  : An axiomatisation of the many valued sentential calculus 
%            is {MV-1,MV-2,MV-3,MV-5} by Meredith. Show that 50 depends 
%            on the Meredith system.

% Refs     : [MW92]  McCune & Wos (1992), Experiments in Automated Deductio
%          : [McC92] McCune (1992), Email to G. Sutcliffe
% Source   : [McC92]
% Names    : MV-62 [MW92]

% Status   : Unsatisfiable
% Rating   : 0.17 v2.7.0, 0.50 v2.6.0, 0.29 v2.5.0, 0.14 v2.4.0, 0.43 v2.3.0, 0.43 v2.2.1, 0.89 v2.1.0, 0.88 v2.0.0
% Syntax   : Number of clauses     :    6 (   0 non-Horn;   5 unit;   2 RR)
%            Number of atoms       :    8 (   0 equality)
%            Maximal clause size   :    3 (   1 average)
%            Number of predicates  :    1 (   0 propositional; 1-1 arity)
%            Number of functors    :    4 (   2 constant; 0-2 arity)
%            Number of variables   :   11 (   1 singleton)
%            Maximal term depth    :    5 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
cnf(condensed_detachment,axiom,
    ( ~ is_a_theorem(implies(X,Y))
    | ~ is_a_theorem(X)
    | is_a_theorem(Y) )).

cnf(mv_1,axiom,
    ( is_a_theorem(implies(X,implies(Y,X))) )).

cnf(mv_2,axiom,
    ( is_a_theorem(implies(implies(X,Y),implies(implies(Y,Z),implies(X,Z)))) )).

cnf(mv_3,axiom,
    ( is_a_theorem(implies(implies(implies(X,Y),Y),implies(implies(Y,X),X))) )).

cnf(mv_5,axiom,
    ( is_a_theorem(implies(implies(not(X),not(Y)),implies(Y,X))) )).

cnf(prove_mv_50,negated_conjecture,
    ( ~ is_a_theorem(implies(not(a),implies(b,not(implies(b,a))))) )).

%--------------------------------------------------------------------------
