%--------------------------------------------------------------------------
% File     : MGT060-1 : TPTP v3.0.1. Released v2.4.0.
% Domain   : Management (Organisation Theory)
% Problem  : Hazard of mortality is lower during periods of immunity
% Version  : [Han98] axioms.
% English  : An organization's hazard of mortality is lower during periods in
%            which it has immunity than in periods in which it does not.

% Refs     : [Kam00] Kamps (2000), Email to G. Sutcliffe
%            [CH00]  Carroll & Hannan (2000), The Demography of Corporation
%            [Han98] Hannan (1998), Rethinking Age Dependence in Organizati
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.27 v2.7.0, 0.17 v2.6.0, 0.22 v2.5.0, 0.44 v2.4.0
% Syntax   : Number of clauses     :   25 (   7 non-Horn;   9 unit;  23 RR)
%            Number of atoms       :   58 (  10 equality)
%            Maximal clause size   :    5 (   2 average)
%            Number of predicates  :    9 (   0 propositional; 1-2 arity)
%            Number of functors    :    9 (   8 constant; 0-2 arity)
%            Number of variables   :   33 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : See MGT042+1.p for the mnemonic names.
%          : Created with tptp2X -f tptp -t clausify:otter MGT060+1.p 
%--------------------------------------------------------------------------
include('Axioms/MGT001-0.ax').
%--------------------------------------------------------------------------
cnf(assumption_17_32,axiom,
    ( ~ organization(A)
    | ~ has_immunity(A,B)
    | hazard_of_mortality(A,B) = very_low )).

cnf(assumption_17_33,axiom,
    ( ~ organization(A)
    | has_immunity(A,B)
    | ~ is_aligned(A,B)
    | ~ positional_advantage(A,B)
    | hazard_of_mortality(A,B) = low )).

cnf(assumption_17_34,axiom,
    ( ~ organization(A)
    | has_immunity(A,B)
    | is_aligned(A,B)
    | ~ positional_advantage(A,B)
    | hazard_of_mortality(A,B) = mod1 )).

cnf(assumption_17_35,axiom,
    ( ~ organization(A)
    | has_immunity(A,B)
    | ~ is_aligned(A,B)
    | positional_advantage(A,B)
    | hazard_of_mortality(A,B) = mod2 )).

cnf(assumption_17_36,axiom,
    ( ~ organization(A)
    | has_immunity(A,B)
    | is_aligned(A,B)
    | positional_advantage(A,B)
    | hazard_of_mortality(A,B) = high )).

cnf(assumption_18a_37,axiom,
    ( greater(high,mod1) )).

cnf(assumption_18b_38,axiom,
    ( greater(mod1,low) )).

cnf(assumption_18c_39,axiom,
    ( greater(low,very_low) )).

cnf(assumption_18d_40,axiom,
    ( greater(high,mod2) )).

cnf(assumption_18e_41,axiom,
    ( greater(mod2,low) )).

cnf(assumption_3_42,negated_conjecture,
    ( organization(sk1) )).

cnf(assumption_3_43,negated_conjecture,
    ( has_immunity(sk1,sk2) )).

cnf(assumption_3_44,negated_conjecture,
    ( ~ has_immunity(sk1,sk3) )).

cnf(assumption_3_45,negated_conjecture,
    ( ~ greater(hazard_of_mortality(sk1,sk3),hazard_of_mortality(sk1,sk2)) )).

%--------------------------------------------------------------------------
