%--------------------------------------------------------------------------
% File     : ROB015-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Robbins Algebra
% Problem  : If -(-e + -(d + -e)) = d then -(e + k(d + -(d + -e))) = -e
% Version  : [Win90] (equality) axioms.
% English  : This is the induction step of an induction proof.

% Refs     : [Win90] Winker (1990), Robbins Algebra: Conditions that make a
% Source   : [Win90]
% Names    : Lemma 3.6 [Win90]

% Status   : Satisfiable
% Rating   : 0.67 v2.7.0, 0.33 v2.6.0, 0.86 v2.5.0, 0.50 v2.4.0, 0.67 v2.2.1, 0.75 v2.2.0, 0.67 v2.1.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :   11 (   0 non-Horn;   9 unit;   6 RR)
%            Number of atoms       :   13 (   8 equality)
%            Maximal clause size   :    2 (   1 average)
%            Number of predicates  :    2 (   0 propositional; 1-2 arity)
%            Number of functors    :    8 (   4 constant; 0-2 arity)
%            Number of variables   :   11 (   0 singleton)
%            Maximal term depth    :    8 (   3 average)

% Comments : 
%--------------------------------------------------------------------------
%----Include axioms for Robbins algebra 
include('Axioms/ROB001-0.ax').
%----Include axioms for numbers in Robbins algebras 
include('Axioms/ROB001-1.ax').
%--------------------------------------------------------------------------
cnf(condition,hypothesis,
    ( negate(add(negate(e),negate(add(d,negate(e))))) = d )).

cnf(k_positive,axiom,
    ( positive_integer(k) )).

cnf(base_step,axiom,
    (  negate(add(e,multiply(k,add(d,negate(add(d,negate(e))))))) != negate(e) )).

cnf(prove_induction_step,negated_conjecture,
    (  negate(add(e,multiply(successor(k),add(d,negate(add(d,negate(e))))))) != negate(e) )).

%--------------------------------------------------------------------------
