%--------------------------------------------------------------------------
% File     : SWC095-1 : TPTP v3.0.1. Released v2.4.0.
% Domain   : Software Creation
% Problem  : cond_insert_x_insert
% Version  : [Wei00] axioms.
% English  : Find components in a software library that match a given target
%            specification given in first-order logic. The components are
%            specified in first-order logic as well. The problem represents
%            a test of one library module specification against a target
%            specification.

% Refs     : [Wei00] Weidenbach (2000), Software Reuse of List Functions Ve
%          : [FSS98] Fischer et al. (1998), Deduction-Based Software Compon
% Source   : [TPTP]
% Names    : 

% Status   : Unsatisfiable
% Rating   : 0.27 v2.7.0, 0.42 v2.6.0, 0.33 v2.4.0
% Syntax   : Number of clauses     :  197 (  33 non-Horn;  65 unit; 154 RR)
%            Number of atoms       :  620 ( 104 equality)
%            Maximal clause size   :   10 (   3 average)
%            Number of predicates  :   20 (   0 propositional; 1-2 arity)
%            Number of functors    :   56 (  10 constant; 0-2 arity)
%            Number of variables   :  329 (  49 singleton)
%            Maximal term depth    :    5 (   1 average)

% Comments : Created by CNF conversion from SWC095+1
%--------------------------------------------------------------------------
%----Include list specification axioms
include('Axioms/SWC001-0.ax').
%--------------------------------------------------------------------------
cnf(co1_1,negated_conjecture,
    ( ssList(sk1) )).

cnf(co1_2,negated_conjecture,
    ( ssList(sk2) )).

cnf(co1_3,negated_conjecture,
    ( ssList(sk3) )).

cnf(co1_4,negated_conjecture,
    ( ssList(sk4) )).

cnf(co1_5,negated_conjecture,
    ( sk2 = sk4 )).

cnf(co1_6,negated_conjecture,
    ( sk1 = sk3 )).

cnf(co1_7,negated_conjecture,
    ( ~ ssList(A)
    | ~ ssList(B)
    | ~ ssList(C)
    | app(app(A,B),C) != sk1
    | app(A,C) != sk2 )).

cnf(co1_8,negated_conjecture,
    ( ssList(sk5) )).

cnf(co1_9,negated_conjecture,
    ( ssList(sk6) )).

cnf(co1_10,negated_conjecture,
    ( ssList(sk7) )).

cnf(co1_11,negated_conjecture,
    ( app(app(sk5,sk6),sk7) = sk3 )).

cnf(co1_12,negated_conjecture,
    ( app(sk5,sk7) = sk4 )).

%--------------------------------------------------------------------------
