%--------------------------------------------------------------------------
% File     : SYN353-1 : TPTP v3.0.1. Released v1.2.0.
% Domain   : Syntactic
% Problem  : Church problem 46.18 (5)
% Version  : Especial.
% English  : 

% Refs     : [Chu56] Church (1956), Introduction to Mathematical Logic I
%          : [FL+93] Fermuller et al. (1993), Resolution Methods for the De
%          : [Tam94] Tammet (1994), Email to Geoff Sutcliffe.
% Source   : [Tam94]
% Names    : Ch18N5 [Tam94]

% Status   : Unsatisfiable
% Rating   : 0.33 v2.7.0, 0.50 v2.6.0, 0.33 v2.5.0, 0.20 v2.4.0, 0.00 v2.2.1, 0.33 v2.1.0, 0.75 v2.0.0
% Syntax   : Number of clauses     :   17 (   8 non-Horn;   0 unit;  12 RR)
%            Number of atoms       :   47 (   0 equality)
%            Maximal clause size   :    4 (   3 average)
%            Number of predicates  :    1 (   0 propositional; 3-3 arity)
%            Number of functors    :    2 (   1 constant; 0-3 arity)
%            Number of variables   :   51 (   0 singleton)
%            Maximal term depth    :    2 (   1 average)

% Comments : All the problems here can be decided by using a certain
%            completeness-preserving term ordering strategies. See [FL+93].
%          : The conversion from the full 1st order form in [Chu56]
%            to clause form was done by hand by Tanel Tammet.
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ f(Y1,Y2,Y3)
    | ~ f(a,a,z(Y1,Y2,Y3))
    | f(Y2,Y3,Y1)
    | f(Y3,Y1,Y2) )).

cnf(clause2,negated_conjecture,
    ( ~ f(Y3,Y1,Y2)
    | f(Y1,Y2,Y3)
    | ~ f(Y2,Y1,z(Y1,Y2,Y3)) )).

cnf(clause3,negated_conjecture,
    ( ~ f(Y3,Y1,Y2)
    | f(Y2,Y3,Y1)
    | ~ f(Y2,Y1,z(Y1,Y2,Y3)) )).

cnf(clause4,negated_conjecture,
    ( f(Y3,Y1,Y2)
    | f(Y2,Y1,z(Y1,Y2,Y3)) )).

cnf(clause5,negated_conjecture,
    ( ~ f(Y1,Y2,Y3)
    | ~ f(Y2,Y3,Y1)
    | f(Y2,Y1,z(Y1,Y2,Y3)) )).

cnf(clause6,negated_conjecture,
    ( ~ f(Y2,Y3,Y1)
    | f(Y1,Y2,Y3)
    | ~ f(Y1,z(Y1,Y2,Y3),Y2) )).

cnf(clause7,negated_conjecture,
    ( ~ f(Y2,Y3,Y1)
    | f(Y3,Y1,Y2)
    | ~ f(Y1,z(Y1,Y2,Y3),Y2) )).

cnf(clause8,negated_conjecture,
    ( f(Y2,Y3,Y1)
    | f(Y1,z(Y1,Y2,Y3),Y2) )).

cnf(clause9,negated_conjecture,
    ( ~ f(Y1,Y2,Y3)
    | ~ f(Y3,Y1,Y2)
    | f(Y1,z(Y1,Y2,Y3),Y2) )).

cnf(clause10,negated_conjecture,
    ( f(Y3,Y1,Y2)
    | f(Y1,Y2,Y3)
    | ~ f(z(Y1,Y2,Y3),Y2,Y1) )).

cnf(clause11,negated_conjecture,
    ( f(Y2,Y3,Y1)
    | f(Y1,Y2,Y3)
    | ~ f(z(Y1,Y2,Y3),Y2,Y1) )).

cnf(clause12,negated_conjecture,
    ( ~ f(Y3,Y1,Y2)
    | ~ f(Y2,Y3,Y1)
    | f(z(Y1,Y2,Y3),Y2,Y1) )).

cnf(clause13,negated_conjecture,
    ( ~ f(Y1,Y2,Y3)
    | f(z(Y1,Y2,Y3),Y2,Y1) )).

cnf(clause14,negated_conjecture,
    ( f(Y1,Y2,Y3)
    | f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3)) )).

cnf(clause15,negated_conjecture,
    ( f(Y2,Y3,Y1)
    | f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3)) )).

cnf(clause16,negated_conjecture,
    ( f(Y3,Y1,Y2)
    | f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3)) )).

cnf(clause17,negated_conjecture,
    ( ~ f(Y1,Y2,Y3)
    | ~ f(Y2,Y3,Y1)
    | ~ f(Y3,Y1,Y2)
    | ~ f(z(Y1,Y2,Y3),z(Y1,Y2,Y3),z(Y1,Y2,Y3)) )).

%--------------------------------------------------------------------------
