%--------------------------------------------------------------------------
% File     : SYN431-1 : TPTP v3.0.1. Released v2.1.0.
% Domain   : Syntactic (Translated)
% Problem  : ALC, N=4, R=1, L=16, K=3, D=1, P=0, Index=042
% Version  : Especial.
% English  : 

% Refs     : [OS95]  Ohlbach & Schmidt (1995), Functional Translation and S
%          : [WGR96] Weidenbach et al. (1996), SPASS and FLOTTER
%          : [HS97]  Hustadt & Schmidt (1997), On Evaluating Decision Proce
%          : [Wei97] Weidenbach (1997), Email to G. Sutcliffe
% Source   : [Wei97]
% Names    : alc-4-1-16-3-1-042.cnf [Wei97]

% Status   : Satisfiable
% Rating   : 0.00 v2.4.0, 0.00 v2.2.1, 0.33 v2.2.0, 0.50 v2.1.0
% Syntax   : Number of clauses     :  132 (  16 non-Horn;   0 unit; 132 RR)
%            Number of atoms       :  325 (   0 equality)
%            Maximal clause size   :   10 (   2 average)
%            Number of predicates  :   34 (  30 propositional; 0-1 arity)
%            Number of functors    :   29 (  29 constant; 0-0 arity)
%            Number of variables   :   17 (   0 singleton)
%            Maximal term depth    :    1 (   1 average)

% Comments : These ALC problems have been translated from propositional 
%            multi-modal K logic formulae generated according to the scheme
%            described in [HS97], using the optimized functional translation
%            described in [OS95]. The finite model property holds, the
%            Herbrand Universe is finite, they are decidable (the complexity
%            is PSPACE-complete), resolution + subsumption + condensing is a
%            decision procedure, and the translated formulae belong to the
%            (CNF-translation of the) Bernays-Schoenfinkel class [Wei97].
%          : Translated from FOF using FLOTTER [WGR96].
%--------------------------------------------------------------------------
cnf(clause1,negated_conjecture,
    ( ~ hskp28
    | ndr1_0 )).

cnf(clause2,negated_conjecture,
    ( ~ hskp27
    | ndr1_0 )).

cnf(clause3,negated_conjecture,
    ( ~ hskp26
    | ndr1_0 )).

cnf(clause4,negated_conjecture,
    ( ~ hskp25
    | ndr1_0 )).

cnf(clause5,negated_conjecture,
    ( ~ hskp24
    | ndr1_0 )).

cnf(clause6,negated_conjecture,
    ( ~ hskp23
    | ndr1_0 )).

cnf(clause7,negated_conjecture,
    ( ~ hskp22
    | ndr1_0 )).

cnf(clause8,negated_conjecture,
    ( ~ hskp21
    | ndr1_0 )).

cnf(clause9,negated_conjecture,
    ( ~ hskp20
    | ndr1_0 )).

cnf(clause10,negated_conjecture,
    ( ~ hskp19
    | ndr1_0 )).

cnf(clause11,negated_conjecture,
    ( ~ hskp18
    | ndr1_0 )).

cnf(clause12,negated_conjecture,
    ( ~ hskp17
    | ndr1_0 )).

cnf(clause13,negated_conjecture,
    ( ~ hskp16
    | ndr1_0 )).

cnf(clause14,negated_conjecture,
    ( ~ hskp15
    | ndr1_0 )).

cnf(clause15,negated_conjecture,
    ( ~ hskp14
    | ndr1_0 )).

cnf(clause16,negated_conjecture,
    ( ~ hskp13
    | ndr1_0 )).

cnf(clause17,negated_conjecture,
    ( ~ hskp12
    | ndr1_0 )).

cnf(clause18,negated_conjecture,
    ( ~ hskp11
    | ndr1_0 )).

cnf(clause19,negated_conjecture,
    ( ~ hskp10
    | ndr1_0 )).

cnf(clause20,negated_conjecture,
    ( ~ hskp9
    | ndr1_0 )).

cnf(clause21,negated_conjecture,
    ( ~ hskp8
    | ndr1_0 )).

cnf(clause22,negated_conjecture,
    ( ~ hskp7
    | ndr1_0 )).

cnf(clause23,negated_conjecture,
    ( ~ hskp6
    | ndr1_0 )).

cnf(clause24,negated_conjecture,
    ( ~ hskp5
    | ndr1_0 )).

cnf(clause25,negated_conjecture,
    ( ~ hskp4
    | ndr1_0 )).

cnf(clause26,negated_conjecture,
    ( ~ hskp3
    | ndr1_0 )).

cnf(clause27,negated_conjecture,
    ( ~ hskp2
    | ndr1_0 )).

cnf(clause28,negated_conjecture,
    ( ~ hskp1
    | ndr1_0 )).

cnf(clause29,negated_conjecture,
    ( ~ hskp0
    | ndr1_0 )).

cnf(clause30,negated_conjecture,
    ( hskp18
    | hskp5
    | hskp6 )).

cnf(clause31,negated_conjecture,
    ( hskp22
    | hskp23
    | hskp24 )).

cnf(clause32,negated_conjecture,
    ( hskp11
    | hskp25
    | hskp26 )).

cnf(clause33,negated_conjecture,
    ( hskp3
    | hskp13
    | hskp27 )).

cnf(clause34,negated_conjecture,
    ( ~ hskp28
    | c1_1(a158) )).

cnf(clause35,negated_conjecture,
    ( ~ hskp28
    | c2_1(a158) )).

cnf(clause36,negated_conjecture,
    ( ~ hskp27
    | c3_1(a157) )).

cnf(clause37,negated_conjecture,
    ( ~ hskp27
    | c2_1(a157) )).

cnf(clause38,negated_conjecture,
    ( ~ hskp26
    | c1_1(a153) )).

cnf(clause39,negated_conjecture,
    ( ~ hskp25
    | c3_1(a152) )).

cnf(clause40,negated_conjecture,
    ( ~ hskp25
    | c2_1(a152) )).

cnf(clause41,negated_conjecture,
    ( ~ hskp24
    | c1_1(a150) )).

cnf(clause42,negated_conjecture,
    ( ~ hskp24
    | c0_1(a150) )).

cnf(clause43,negated_conjecture,
    ( ~ hskp23
    | c1_1(a149) )).

cnf(clause44,negated_conjecture,
    ( ~ hskp23
    | c0_1(a149) )).

cnf(clause45,negated_conjecture,
    ( ~ hskp22
    | c1_1(a148) )).

cnf(clause46,negated_conjecture,
    ( ~ hskp22
    | c2_1(a148) )).

cnf(clause47,negated_conjecture,
    ( ~ hskp21
    | c2_1(a147) )).

cnf(clause48,negated_conjecture,
    ( ~ hskp21
    | c3_1(a147) )).

cnf(clause49,negated_conjecture,
    ( ~ hskp20
    | c2_1(a144) )).

cnf(clause50,negated_conjecture,
    ( ~ hskp20
    | c3_1(a144) )).

cnf(clause51,negated_conjecture,
    ( ~ hskp19
    | c2_1(a143) )).

cnf(clause52,negated_conjecture,
    ( ~ hskp19
    | c0_1(a143) )).

cnf(clause53,negated_conjecture,
    ( ~ hskp19
    | c1_1(a143) )).

cnf(clause54,negated_conjecture,
    ( ~ hskp18
    | c0_1(a138) )).

cnf(clause55,negated_conjecture,
    ( ~ hskp18
    | c3_1(a138) )).

cnf(clause56,negated_conjecture,
    ( ~ hskp17
    | c2_1(a134) )).

cnf(clause57,negated_conjecture,
    ( ~ hskp17
    | c0_1(a134) )).

cnf(clause58,negated_conjecture,
    ( ~ hskp16
    | c0_1(a161) )).

cnf(clause59,negated_conjecture,
    ( ~ hskp16
    | c2_1(a161) )).

cnf(clause60,negated_conjecture,
    ( ~ hskp14
    | c1_1(a159) )).

cnf(clause61,negated_conjecture,
    ( ~ hskp14
    | c2_1(a159) )).

cnf(clause62,negated_conjecture,
    ( ~ hskp13
    | c1_1(a156) )).

cnf(clause63,negated_conjecture,
    ( ~ hskp11
    | c1_1(a151) )).

cnf(clause64,negated_conjecture,
    ( ~ hskp10
    | c0_1(a146) )).

cnf(clause65,negated_conjecture,
    ( ~ hskp8
    | c3_1(a142) )).

cnf(clause66,negated_conjecture,
    ( ~ hskp8
    | c1_1(a142) )).

cnf(clause67,negated_conjecture,
    ( ~ hskp7
    | c2_1(a141) )).

cnf(clause68,negated_conjecture,
    ( ~ hskp7
    | c3_1(a141) )).

cnf(clause69,negated_conjecture,
    ( ~ hskp6
    | c1_1(a140) )).

cnf(clause70,negated_conjecture,
    ( ~ hskp6
    | c0_1(a140) )).

cnf(clause71,negated_conjecture,
    ( ~ hskp5
    | c2_1(a139) )).

cnf(clause72,negated_conjecture,
    ( ~ hskp5
    | c0_1(a139) )).

cnf(clause73,negated_conjecture,
    ( ~ hskp4
    | c1_1(a137) )).

cnf(clause74,negated_conjecture,
    ( ~ hskp4
    | c3_1(a137) )).

cnf(clause75,negated_conjecture,
    ( ~ hskp3
    | c2_1(a136) )).

cnf(clause76,negated_conjecture,
    ( ~ hskp2
    | c1_1(a135) )).

cnf(clause77,negated_conjecture,
    ( ~ hskp1
    | c2_1(a133) )).

cnf(clause78,negated_conjecture,
    ( ~ c0_1(a158)
    | ~ hskp28 )).

cnf(clause79,negated_conjecture,
    ( ~ c1_1(a157)
    | ~ hskp27 )).

cnf(clause80,negated_conjecture,
    ( ~ c0_1(a153)
    | ~ hskp26 )).

cnf(clause81,negated_conjecture,
    ( ~ c3_1(a153)
    | ~ hskp26 )).

cnf(clause82,negated_conjecture,
    ( ~ c0_1(a152)
    | ~ hskp25 )).

cnf(clause83,negated_conjecture,
    ( ~ c2_1(a150)
    | ~ hskp24 )).

cnf(clause84,negated_conjecture,
    ( ~ c3_1(a149)
    | ~ hskp23 )).

cnf(clause85,negated_conjecture,
    ( ~ c3_1(a148)
    | ~ hskp22 )).

cnf(clause86,negated_conjecture,
    ( ~ c0_1(a147)
    | ~ hskp21 )).

cnf(clause87,negated_conjecture,
    ( ~ c0_1(a144)
    | ~ hskp20 )).

cnf(clause88,negated_conjecture,
    ( ~ c2_1(a138)
    | ~ hskp18 )).

cnf(clause89,negated_conjecture,
    ( ~ c3_1(a134)
    | ~ hskp17 )).

cnf(clause90,negated_conjecture,
    ( ~ c1_1(a161)
    | ~ hskp16 )).

cnf(clause91,negated_conjecture,
    ( ~ c1_1(a160)
    | ~ hskp15 )).

cnf(clause92,negated_conjecture,
    ( ~ c2_1(a160)
    | ~ hskp15 )).

cnf(clause93,negated_conjecture,
    ( ~ c3_1(a160)
    | ~ hskp15 )).

cnf(clause94,negated_conjecture,
    ( ~ c3_1(a159)
    | ~ hskp14 )).

cnf(clause95,negated_conjecture,
    ( ~ c3_1(a156)
    | ~ hskp13 )).

cnf(clause96,negated_conjecture,
    ( ~ c0_1(a156)
    | ~ hskp13 )).

cnf(clause97,negated_conjecture,
    ( ~ c2_1(a154)
    | ~ hskp12 )).

cnf(clause98,negated_conjecture,
    ( ~ c3_1(a154)
    | ~ hskp12 )).

cnf(clause99,negated_conjecture,
    ( ~ c1_1(a154)
    | ~ hskp12 )).

cnf(clause100,negated_conjecture,
    ( ~ c3_1(a151)
    | ~ hskp11 )).

cnf(clause101,negated_conjecture,
    ( ~ c0_1(a151)
    | ~ hskp11 )).

cnf(clause102,negated_conjecture,
    ( ~ c2_1(a146)
    | ~ hskp10 )).

cnf(clause103,negated_conjecture,
    ( ~ c1_1(a146)
    | ~ hskp10 )).

cnf(clause104,negated_conjecture,
    ( ~ c2_1(a145)
    | ~ hskp9 )).

cnf(clause105,negated_conjecture,
    ( ~ c0_1(a145)
    | ~ hskp9 )).

cnf(clause106,negated_conjecture,
    ( ~ c3_1(a145)
    | ~ hskp9 )).

cnf(clause107,negated_conjecture,
    ( ~ c0_1(a142)
    | ~ hskp8 )).

cnf(clause108,negated_conjecture,
    ( ~ c1_1(a141)
    | ~ hskp7 )).

cnf(clause109,negated_conjecture,
    ( ~ c3_1(a140)
    | ~ hskp6 )).

cnf(clause110,negated_conjecture,
    ( ~ c1_1(a139)
    | ~ hskp5 )).

cnf(clause111,negated_conjecture,
    ( ~ c2_1(a137)
    | ~ hskp4 )).

cnf(clause112,negated_conjecture,
    ( ~ c0_1(a136)
    | ~ hskp3 )).

cnf(clause113,negated_conjecture,
    ( ~ c3_1(a136)
    | ~ hskp3 )).

cnf(clause114,negated_conjecture,
    ( ~ c2_1(a135)
    | ~ hskp2 )).

cnf(clause115,negated_conjecture,
    ( ~ c0_1(a135)
    | ~ hskp2 )).

cnf(clause116,negated_conjecture,
    ( ~ c1_1(a133)
    | ~ hskp1 )).

cnf(clause117,negated_conjecture,
    ( ~ c0_1(a133)
    | ~ hskp1 )).

cnf(clause118,negated_conjecture,
    ( ~ c1_1(a132)
    | ~ hskp0 )).

cnf(clause119,negated_conjecture,
    ( ~ c0_1(a132)
    | ~ hskp0 )).

cnf(clause120,negated_conjecture,
    ( ~ c3_1(a132)
    | ~ hskp0 )).

cnf(clause121,negated_conjecture,
    ( ~ c3_1(U)
    | ~ ndr1_0
    | c2_1(U)
    | c0_1(U)
    | hskp0
    | hskp1 )).

cnf(clause122,negated_conjecture,
    ( ~ c2_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | c0_1(U)
    | hskp19
    | hskp20 )).

cnf(clause123,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | c0_1(U)
    | hskp28
    | hskp14 )).

cnf(clause124,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ ndr1_0
    | c1_1(U)
    | hskp17
    | hskp2 )).

cnf(clause125,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp7
    | hskp8 )).

cnf(clause126,negated_conjecture,
    ( ~ c2_1(U)
    | ~ c1_1(U)
    | ~ ndr1_0
    | c3_1(U)
    | hskp9
    | hskp10 )).

cnf(clause127,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | c0_1(U)
    | hskp15
    | hskp16 )).

cnf(clause128,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c0_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | hskp3
    | hskp4 )).

cnf(clause129,negated_conjecture,
    ( ~ c1_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | c0_1(U)
    | c2_1(U)
    | c1_1(V)
    | c3_1(V)
    | hskp21 )).

cnf(clause130,negated_conjecture,
    ( ~ c3_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c2_1(V)
    | ~ c1_1(V)
    | c1_1(U)
    | c3_1(V) )).

cnf(clause131,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c3_1(U)
    | ~ ndr1_0
    | ~ c0_1(V)
    | ~ c2_1(V)
    | c2_1(U)
    | c3_1(V)
    | hskp12 )).

cnf(clause132,negated_conjecture,
    ( ~ c1_1(U)
    | ~ c2_1(U)
    | ~ ndr1_0
    | ~ c1_1(V)
    | ~ c0_1(V)
    | ~ c1_1(W)
    | c0_1(U)
    | c2_1(V)
    | c0_1(W)
    | c2_1(W) )).

%--------------------------------------------------------------------------
