%--------------------------------------------------------------------------
% File     : TOP014-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Topology
% Problem  : Properties of open & interior and closed & closure
% Version  : [WM89] axioms : Incomplete.
% English  : If A is open, the interior of A is A, and if A is closed, the 
%            closure of A is A.

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 9 [WM89]

% Status   : Satisfiable
% Rating   : 0.57 v2.7.0, 0.40 v2.6.0, 0.50 v2.5.0, 0.83 v2.4.0, 1.00 v2.1.0, 0.00 v2.0.0
% Syntax   : Number of clauses     :  115 (  26 non-Horn;   2 unit; 110 RR)
%            Number of atoms       :  354 (   0 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   22 (   0 propositional; 1-4 arity)
%            Number of functors    :   38 (   4 constant; 0-5 arity)
%            Number of variables   :  357 (  56 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
cnf(problem_9_142,negated_conjecture,
    ( topological_space(cx,ct) )).

cnf(problem_9_143,negated_conjecture,
    ( subset_sets(a,cx) )).

cnf(problem_9_144,negated_conjecture,
    ( open(a,cx,ct)
    | equal_sets(a,interior(a,cx,ct))
    | closed(a,cx,ct)
    | equal_sets(a,closure(a,cx,ct)) )).

cnf(problem_9_145,negated_conjecture,
    ( open(a,cx,ct)
    | equal_sets(a,interior(a,cx,ct))
    | ~ closed(a,cx,ct)
    | ~ equal_sets(a,closure(a,cx,ct)) )).

cnf(problem_9_146,negated_conjecture,
    ( ~ open(a,cx,ct)
    | ~ equal_sets(a,interior(a,cx,ct))
    | closed(a,cx,ct)
    | equal_sets(a,closure(a,cx,ct)) )).

cnf(problem_9_147,negated_conjecture,
    ( ~ open(a,cx,ct)
    | ~ equal_sets(a,interior(a,cx,ct))
    | ~ closed(a,cx,ct)
    | ~ equal_sets(a,closure(a,cx,ct)) )).

%--------------------------------------------------------------------------
